=== doc/html/Makefile ===

default: all


archive_entry.3.html: ../../libarchive/archive_entry.3
	groff -mdoc -T html ../../libarchive/archive_entry.3 > archive_entry.3.html

archive_entry_acl.3.html: ../../libarchive/archive_entry_acl.3
	groff -mdoc -T html ../../libarchive/archive_entry_acl.3 > archive_entry_acl.3.html

archive_entry_linkify.3.html: ../../libarchive/archive_entry_linkify.3
	groff -mdoc -T html ../../libarchive/archive_entry_linkify.3 > archive_entry_linkify.3.html

archive_entry_paths.3.html: ../../libarchive/archive_entry_paths.3
	groff -mdoc -T html ../../libarchive/archive_entry_paths.3 > archive_entry_paths.3.html

archive_entry_perms.3.html: ../../libarchive/archive_entry_perms.3
	groff -mdoc -T html ../../libarchive/archive_entry_perms.3 > archive_entry_perms.3.html

archive_entry_stat.3.html: ../../libarchive/archive_entry_stat.3
	groff -mdoc -T html ../../libarchive/archive_entry_stat.3 > archive_entry_stat.3.html

archive_entry_time.3.html: ../../libarchive/archive_entry_time.3
	groff -mdoc -T html ../../libarchive/archive_entry_time.3 > archive_entry_time.3.html

archive_read.3.html: ../../libarchive/archive_read.3
	groff -mdoc -T html ../../libarchive/archive_read.3 > archive_read.3.html

archive_read_data.3.html: ../../libarchive/archive_read_data.3
	groff -mdoc -T html ../../libarchive/archive_read_data.3 > archive_read_data.3.html

archive_read_disk.3.html: ../../libarchive/archive_read_disk.3
	groff -mdoc -T html ../../libarchive/archive_read_disk.3 > archive_read_disk.3.html

archive_read_extract.3.html: ../../libarchive/archive_read_extract.3
	groff -mdoc -T html ../../libarchive/archive_read_extract.3 > archive_read_extract.3.html

archive_read_filter.3.html: ../../libarchive/archive_read_filter.3
	groff -mdoc -T html ../../libarchive/archive_read_filter.3 > archive_read_filter.3.html

archive_read_format.3.html: ../../libarchive/archive_read_format.3
	groff -mdoc -T html ../../libarchive/archive_read_format.3 > archive_read_format.3.html

archive_read_free.3.html: ../../libarchive/archive_read_free.3
	groff -mdoc -T html ../../libarchive/archive_read_free.3 > archive_read_free.3.html

archive_read_header.3.html: ../../libarchive/archive_read_header.3
	groff -mdoc -T html ../../libarchive/archive_read_header.3 > archive_read_header.3.html

archive_read_new.3.html: ../../libarchive/archive_read_new.3
	groff -mdoc -T html ../../libarchive/archive_read_new.3 > archive_read_new.3.html

archive_read_open.3.html: ../../libarchive/archive_read_open.3
	groff -mdoc -T html ../../libarchive/archive_read_open.3 > archive_read_open.3.html

archive_read_set_options.3.html: ../../libarchive/archive_read_set_options.3
	groff -mdoc -T html ../../libarchive/archive_read_set_options.3 > archive_read_set_options.3.html

archive_util.3.html: ../../libarchive/archive_util.3
	groff -mdoc -T html ../../libarchive/archive_util.3 > archive_util.3.html

archive_write.3.html: ../../libarchive/archive_write.3
	groff -mdoc -T html ../../libarchive/archive_write.3 > archive_write.3.html

archive_write_blocksize.3.html: ../../libarchive/archive_write_blocksize.3
	groff -mdoc -T html ../../libarchive/archive_write_blocksize.3 > archive_write_blocksize.3.html

archive_write_data.3.html: ../../libarchive/archive_write_data.3
	groff -mdoc -T html ../../libarchive/archive_write_data.3 > archive_write_data.3.html

archive_write_disk.3.html: ../../libarchive/archive_write_disk.3
	groff -mdoc -T html ../../libarchive/archive_write_disk.3 > archive_write_disk.3.html

archive_write_filter.3.html: ../../libarchive/archive_write_filter.3
	groff -mdoc -T html ../../libarchive/archive_write_filter.3 > archive_write_filter.3.html

archive_write_finish_entry.3.html: ../../libarchive/archive_write_finish_entry.3
	groff -mdoc -T html ../../libarchive/archive_write_finish_entry.3 > archive_write_finish_entry.3.html

archive_write_format.3.html: ../../libarchive/archive_write_format.3
	groff -mdoc -T html ../../libarchive/archive_write_format.3 > archive_write_format.3.html

archive_write_free.3.html: ../../libarchive/archive_write_free.3
	groff -mdoc -T html ../../libarchive/archive_write_free.3 > archive_write_free.3.html

archive_write_header.3.html: ../../libarchive/archive_write_header.3
	groff -mdoc -T html ../../libarchive/archive_write_header.3 > archive_write_header.3.html

archive_write_new.3.html: ../../libarchive/archive_write_new.3
	groff -mdoc -T html ../../libarchive/archive_write_new.3 > archive_write_new.3.html

archive_write_open.3.html: ../../libarchive/archive_write_open.3
	groff -mdoc -T html ../../libarchive/archive_write_open.3 > archive_write_open.3.html

archive_write_set_options.3.html: ../../libarchive/archive_write_set_options.3
	groff -mdoc -T html ../../libarchive/archive_write_set_options.3 > archive_write_set_options.3.html

cpio.5.html: ../../libarchive/cpio.5
	groff -mdoc -T html ../../libarchive/cpio.5 > cpio.5.html

libarchive.3.html: ../../libarchive/libarchive.3
	groff -mdoc -T html ../../libarchive/libarchive.3 > libarchive.3.html

libarchive_changes.3.html: ../../libarchive/libarchive_changes.3
	groff -mdoc -T html ../../libarchive/libarchive_changes.3 > libarchive_changes.3.html

libarchive-formats.5.html: ../../libarchive/libarchive-formats.5
	groff -mdoc -T html ../../libarchive/libarchive-formats.5 > libarchive-formats.5.html

libarchive_internals.3.html: ../../libarchive/libarchive_internals.3
	groff -mdoc -T html ../../libarchive/libarchive_internals.3 > libarchive_internals.3.html

mtree.5.html: ../../libarchive/mtree.5
	groff -mdoc -T html ../../libarchive/mtree.5 > mtree.5.html

tar.5.html: ../../libarchive/tar.5
	groff -mdoc -T html ../../libarchive/tar.5 > tar.5.html

bsdtar.1.html: ../../tar/bsdtar.1
	groff -mdoc -T html ../../tar/bsdtar.1 > bsdtar.1.html

bsdcpio.1.html: ../../cpio/bsdcpio.1
	groff -mdoc -T html ../../cpio/bsdcpio.1 > bsdcpio.1.html
all: archive_entry.3.html archive_entry_acl.3.html archive_entry_linkify.3.html archive_entry_paths.3.html archive_entry_perms.3.html archive_entry_stat.3.html archive_entry_time.3.html archive_read.3.html archive_read_data.3.html archive_read_disk.3.html archive_read_extract.3.html archive_read_filter.3.html archive_read_format.3.html archive_read_free.3.html archive_read_header.3.html archive_read_new.3.html archive_read_open.3.html archive_read_set_options.3.html archive_util.3.html archive_write.3.html archive_write_blocksize.3.html archive_write_data.3.html archive_write_disk.3.html archive_write_filter.3.html archive_write_finish_entry.3.html archive_write_format.3.html archive_write_free.3.html archive_write_header.3.html archive_write_new.3.html archive_write_open.3.html archive_write_set_options.3.html cpio.5.html libarchive.3.html libarchive_changes.3.html libarchive-formats.5.html libarchive_internals.3.html mtree.5.html tar.5.html bsdtar.1.html bsdcpio.1.html
